MrSID Decode SDK for LiDAR Reference Manual 1.1.4.4709

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
PointData Class Reference

PointData is a group of ChannelData objects. More...

`#include <PointData.h>`

Collaboration diagram for PointData:
[legend]

## Public Member Functions
| ~PointData (void)
| PointData (void)
void | init (const PointInfo &pointInfo, size_t numSamples)
size_t | getNumChannels (void) const
| Get the number of channels. More...
size_t | getNumSamples (void) const
| Get the number of samples. More...
const ChannelData & | getChannel (size_t idx) const
| Access the channel data. More...
ChannelData & | getChannel (size_t idx)
| Access the channel data. More...
bool | hasChannel (const char *name) const
| Determine if there is a channel with a given name. More...
const ChannelData * | getChannel (const char *name) const
| Access the channel data. More...
ChannelData * | getChannel (const char *name)
| Access the channel data. More...
const double * | getX (void) const
| Get the X values. More...
double * | getX (void)
| Get the X values. More...
const double * | getY (void) const
| Get the Y values. More...
double * | getY (void)
| Get the Y values. More...
const double * | getZ (void) const
| Get the Z values. More...
double * | getZ (void)
| Get the Z values. More...
void | resize (size_t newNumSamples)
| Resize the data buffer. More...
void | setOffset (size_t offset)
| dirty hack – only use this if you're the buffer onwer More...

## Static Public Member Functions
static void | copy (PointData &dst, size_t dstOffset, const PointData &src, size_t srcOffset, size_t length)
| Copy samples between buffers. More...
static void | merge (PointData &dst, size_t dstNumPoints, const PointData &src, size_t srcNumPoints)
| Merge points. More...

## Protected Attributes
size_t | m_numChannels
ChannelData * | m_channel
size_t | m_numSamples
size_t | m_offset
double * | m_x
double * | m_y
double * | m_z

## Detailed Description

PointData is a group of ChannelData objects for extracting the point cloud.

See Also
  See examples/src/UserTutorial.cpp for examples on setting up and using PointData.

Definition at line 427 of file PointData.h.

## Constructor & Destructor Documentation

PointData::~PointData | ( | void | ) |  |

PointData::PointData | ( | void | ) |  |

## Member Function Documentation

static void PointData::copy | ( | PointData & | dst,
|  | size_t | dstOffset,
|  | const PointData & | src,
|  | size_t | srcOffset,
|  | size_t | length
| ) |  |
| static

Parameters

  dst | the destination buffer
  dstOffset | the first sample to overwrite
  src | the source buffer
  srcOffset | the fisrt sample to copy
  length | the number of samples to copy

Note
  The source and destination data types must be the same. The source and destination may be the same object and sample ranges may overlap.

const ChannelData& PointData::getChannel | ( | size_t | idx) |  | const

This method returns the ChannelData for a given index.

Parameters

  idx | the index of the channel wanted

Returns
  the channel data for the given channel

ChannelData& PointData::getChannel | ( | size_t | idx) |  |

This method returns the ChannelData for a given index.

Parameters

  idx | the index of the channel wanted

Returns
  the channel data for the given channel

const ChannelData* PointData::getChannel | ( | const char * | name) |  | const

This method returns the ChannelData for a given name.

Parameters

  name | the name of the channel wanted

Returns
  the channel data for the given channel

ChannelData* PointData::getChannel | ( | const char * | name) |  |

This method returns the ChannelData for a given name.

Parameters

  name | the name of the channel wanted

Returns
  the channel data for the given channel

size_t PointData::getNumChannels | ( | void | ) |  | const

This method returns the number of channels.

size_t PointData::getNumSamples | ( | void | ) |  | const

This method returns the maximum number of samples that can be stored in the object.

const double* PointData::getX | ( | void | ) |  | const

This method returns a pointer to the X channel samples.

double* PointData::getX | ( | void | ) |  |

This method returns a pointer to the X channel samples.

const double* PointData::getY | ( | void | ) |  | const

This method returns a pointer to the Y channel samples.

double* PointData::getY | ( | void | ) |  |

This method returns a pointer to the Y channel samples.

const double* PointData::getZ | ( | void | ) |  | const

This method returns a pointer to the Z channel samples.

double* PointData::getZ | ( | void | ) |  |

This method returns a pointer to the Z channel samples.

bool PointData::hasChannel | ( | const char * | name) |  | const

The method determines if this object has a channel with the given name.

Parameters

  name | the channel name

Returns
  true if the channel was found

void PointData::init | ( | const PointInfo & | pointInfo,
|  | size_t | numSamples
| ) |  |

static void PointData::merge | ( | PointData & | dst,
|  | size_t | dstNumPoints,
|  | const PointData & | src,
|  | size_t | srcNumPoints
| ) |  |
| static

This function merges the the source buffer into the destination buffer in a manner the destination becomes a uniform sampling of both buffers.

Parameters

  dst | the destination buffer
  dstNumPoint | the number of point the destination buffer represents (it may be large than the buffer size)
  src | the source buffer
  srcNumPoint | the number of point the source buffer represents (it may be large than the buffer size)

void PointData::resize | ( | size_t | newNumSamples) |  |

This method change the size of the data buffer.

Parameters

  newNumSamples | the new size of the buffer

void PointData::setOffset | ( | size_t | offset) |  |

## Member Data Documentation

ChannelData* PointData::m_channel
| protected

Definition at line 588 of file PointData.h.

size_t PointData::m_numChannels
| protected

Definition at line 587 of file PointData.h.

size_t PointData::m_numSamples
| protected

Definition at line 589 of file PointData.h.

size_t PointData::m_offset
| protected

Definition at line 590 of file PointData.h.

double* PointData::m_x
| protected

Definition at line 593 of file PointData.h.

double* PointData::m_y
| protected

Definition at line 594 of file PointData.h.

double* PointData::m_z
| protected

Definition at line 595 of file PointData.h.

The documentation for this class was generated from the following file:

- PointData.h

LizardTech